/* 
 *   Copyright (C) 2002, 2003 Jatec AG, Switzerland
 *
 * This file is part of IronMailer.
 *
 * IronMailer is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package net.jatec.ironmailer.controller;

import net.jatec.ironmailer.framework.ExceptionWithChild;

/**
 * For stuff that can go wrong in the controller
 */
public class FolderSetupException extends ControllerException
{
    private String folderName;

    public FolderSetupException(String folderName, String reason) {
	super(reason);
	this.folderName = folderName;
    }

    public FolderSetupException(String folderName, String reason, Throwable t) {
	super(reason, t);
	this.folderName = folderName;
    }

    public String getFolderName() {
	return folderName;
    }
}
